import React from "react";
import { MatrixClient } from "matrix-js-sdk/src/client";
import { AuthType, IAuthData } from "matrix-js-sdk/src/interactive-auth";
type DialogAesthetics = Partial<{
    [x in AuthType]: {
        [x: number]: {
            title: string;
            body: string;
            continueText: string;
            continueKind: string;
        };
    };
}>;
export interface InteractiveAuthDialogProps {
    matrixClient: MatrixClient;
    authData?: IAuthData;
    makeRequest: (auth: IAuthData) => Promise<IAuthData>;
    title?: string;
    body?: string;
    aestheticsForStagePhases?: DialogAesthetics;
    onFinished(success?: boolean, result?: IAuthData | Error | null): void;
}
interface IState {
    authError: Error | null;
    uiaStage: AuthType | null;
    uiaStagePhase: number | null;
}
export default class InteractiveAuthDialog extends React.Component<InteractiveAuthDialogProps, IState> {
    constructor(props: InteractiveAuthDialogProps);
    private getDefaultDialogAesthetics;
    private onAuthFinished;
    private onUpdateStagePhase;
    private onDismissClick;
    render(): React.ReactNode;
}
export {};
