import { MatrixClient } from "matrix-js-sdk/src/matrix";
import { SettingLevel } from "../SettingLevel";
import MatrixClientBackedController from "./MatrixClientBackedController";
import { WatchManager } from "../WatchManager";
/**
 * Disables a given setting if the server unstable feature it requires is not supported
 * When a setting gets disabled or enabled from this controller it notifies the given WatchManager
 */
export default class ServerSupportUnstableFeatureController extends MatrixClientBackedController {
    private readonly settingName;
    private readonly watchers;
    private readonly unstableFeatures;
    private readonly forcedValue;
    private enabled;
    constructor(settingName: string, watchers: WatchManager, unstableFeatures: string[], forcedValue?: any);
    get disabled(): boolean;
    set disabled(v: boolean);
    protected initMatrixClient(oldClient: MatrixClient, newClient: MatrixClient): Promise<void>;
    getValueOverride(level: SettingLevel, roomId: string, calculatedValue: any, calculatedAtLevel: SettingLevel | null): any;
    get settingDisabled(): boolean;
}
